Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class PrintableString

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString
            |
            +--org.mozilla.jss.asn1.PrintableString

All Implemented Interfaces:
  ASN1Value

public class PrintableString
extends CharacterString
implements ASN1Value

Inner Class Summary
`private static class` | `PrintableString.PrintableConverter`
`static class` | `PrintableString.Template`

Inner classes inherited from class org.mozilla.jss.asn1.CharacterString
`CharacterString.Template`

Field Summary
`static Form` | `FORM`
`static Tag` | `TAG`
`private static PrintableString.Template` | `templateInstance`

Fields inherited from class org.mozilla.jss.asn1.CharacterString
`cachedContents, chars`

Constructor Summary
`PrintableString(char[] chars)`
`PrintableString(java.lang.String s)`

Method Summary
`(package private) CharConverter` | `getCharConverter()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static PrintableString.Template` | `getTemplate()` Returns a singleton instance of the decoding template for this class.

Methods inherited from class org.mozilla.jss.asn1.CharacterString
`computeContents, encode, encode, getEncodedContents, toCharArray, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode, encode`

Field Detail

### TAG

    public static final Tag TAG

### FORM

    public static final Form FORM

### templateInstance

    private static final PrintableString.Template templateInstance

Constructor Detail

### PrintableString

    public PrintableString(char[] chars)
                    throws java.io.CharConversionException

### PrintableString

    public PrintableString(java.lang.String s)
                    throws java.io.CharConversionException

Method Detail

### getCharConverter

    CharConverter getCharConverter()

  Overrides:
    `getCharConverter` in class `CharacterString`

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`
  Overrides:
    `getTag` in class `CharacterString`

### getTemplate

    public static PrintableString.Template getTemplate()

  Returns a singleton instance of the decoding template for this class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD